EN
  • EN EN
  • DE DE
  • TR TR
  • FR FR
  • ES ES
  • PL PL

Trainer Archive

Our legacy trainers for games before 2015

Far Cry 3

Versions:
  • 1.05 DX9, 32bit (Retail)
  • 1.05 DX11, 32bit (Retail)
  • 1.04 DX9, 32bit (Retail)
  • 1.04 DX11, 32bit (Retail)
  • 1.03 DX9, 32bit (Retail)
This website uses cookies to make your visit as userfriendly as possible. For further information please visit our privacy policy statements.